<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lesson 2</title>
</head>

<body>

    <script>
        //Перепишите if  с использованием "?":

        var a = 1
        b = 2
        result = a + b < 4 ? "Мало" : "Много";
        document.write(result);

        //Перепишите if...else  с использованием "?":

        var message;
        login = prompt("Как вас зовут?", "");
        login == "Вася" ? message = " Привет" : login == "Директор" ? message = " Здравствуйте" : login == "" ? message = " Нет логина" : message = "Не верно";
        document.write(message);


        let A = 1;
        B = 10;
        while (A <= B) {
            document.write(A + "<br/>");
            A++;
        }
        document.write("<br/>");
        let C = 1;
        B = 10;
        while (C < B) {
            document.write(C + "<br/>");
            C += 2;
        }
        Выведите в консоль числа от 30 до 0.

        let i = 1;
        while (i <= 10) {
            console.log(i);
        }
        // Прямоугольник

        for (var i = 0; i < 5; i++) {

            for (var j = 0; j < 5; j++) {
                document.write("*   ");
            }

            document.write("<br/>");
        }
        // Прямоугольный треугольник

        var n = "&nbsp"
        for (i = 0; i < 7; i++) {
            for (j = 1; j > i; j--) {
                document.write(n, n)
            }
            for (let k = 0; k < i; k++) {
                document.write("*", n, n)
            }
            document.write("<br>")
        }

        // Равнобедренный треугольник

        for (i = 1; i < 10; i++) {
            for (let k = 0; k < i; k++) {
                document.write("*   ")
            }
            document.write("<br>")
        }

        var n = "&nbsp"
        for (i = 1; i < 10; i++) {
            for (j = 10; j > i; j--) {
                document.write(n, n)
            }
            for (k = 0; k < i; k++) {
                document.write("*", n, n)
            }
            document.write("<br>")
        }

        // Ромб

        var n = "&nbsp"
        for (i = -2; i < 10; i++) {
            for (j = 10; j > i; j--) {
                document.write(n, n)
            }
            for (k = -1; k < i; k++) {
                document.write("*", n, n)
            }
            document.write("<br>")
        }


        var n = "&nbsp"
        for (var i = 10; i > 0; i--) {
            for (var j = 0; j < 11 - i; j++) {
                document.write(n, n)
            }

            for (k = 0; k < i; k++) {
                document.write("*", n, n)
            }

            document.write("<br>")
        }
    </script>
</body>

</html>

</html>

</html>
